Skip to content

Instantly share code, notes, and snippets.

@anatox anatox/fix_ffmpeg_support.patch Secret
Last active Mar 30, 2016

Embed
What would you like to do?
From 137a235cc661ed5e92cd1cc041440803400916bc Mon Sep 17 00:00:00 2001
From: anatox <anatox@outlook.com>
Date: Wed, 30 Mar 2016 03:16:18 +0300
Subject: [PATCH] Fix ffmpeg support
---
.SRCINFO | 4 ++--
PKGBUILD | 5 +++--
2 files changed, 5 insertions(+), 4 deletions(-)
diff --git a/.SRCINFO b/.SRCINFO
index 341b2ad..fee35f3 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -3,7 +3,7 @@
pkgbase = vlc-nox
pkgdesc = A multi-platform MPEG, VCD/DVD, and DivX player (without X support)
pkgver = 2.2.2
- pkgrel = 1
+ pkgrel = 2
url = http://www.videolan.org/vlc/
install = vlc.install
arch = i686
@@ -45,7 +45,7 @@ pkgbase = vlc-nox
depends = zvbi
depends = taglib
depends = libmpcdec
- depends = ffmpeg
+ depends = ffmpeg2.8
depends = faad2
depends = libupnp
depends = libshout
diff --git a/PKGBUILD b/PKGBUILD
index 4fc30b5..84f4aaf 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,14 +7,14 @@
_pkgbase=vlc
pkgname=vlc-nox
pkgver=2.2.2
-pkgrel=1
+pkgrel=2
pkgdesc="A multi-platform MPEG, VCD/DVD, and DivX player (without X support)"
arch=('i686' 'x86_64')
url="http://www.videolan.org/vlc/"
license=('LGPL2.1' 'GPL2')
depends=('a52dec' 'libdvbpsi' 'libxpm' 'libdca' 'libproxy'
'sdl_image' 'libdvdnav' 'libtiger' 'lua' 'libmatroska'
- 'zvbi' 'taglib' 'libmpcdec' 'ffmpeg' 'faad2' 'libupnp'
+ 'zvbi' 'taglib' 'libmpcdec' 'ffmpeg2.8' 'faad2' 'libupnp'
'libshout' 'libmad' 'libmpeg2' 'xcb-util-keysyms' 'libtar'
'libxinerama')
makedepends=('live-media' 'libnotify' 'libbluray' 'flac'
@@ -72,6 +72,7 @@ prepare() {
build() {
cd "${srcdir}/${_pkgbase}-${pkgver}"
+ PKG_CONFIG_PATH="/usr/lib/ffmpeg2.8/pkgconfig" \
CFLAGS+=" -I/usr/include/samba-4.0" CPPFLAGS+=" -I/usr/include/samba-4.0" \
./configure --prefix=/usr \
--sysconfdir=/etc \
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.